Name:           tenacity
Version:        1.3.3
Release:        %autorelease
Summary:        An easy-to-use, privacy-friendly, FLOSS, cross-platform multi-track audio editor

License:        LGPL-3.0-or-later
URL:            https://codeberg.org/tenacityteam/tenacity
# Source0:        %{url}/archive/v%{version}.tar.gz
Source0:        %{url}/archive/9209e37e62b0a631c5ebff5e7bcc6ac95326e604.tar.gz
# Source1:        https://codeberg.org/tenacityteam/libnyquist/archive/989619b194e824a4f259ae94d7e952805c829349.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libzip)
# provides /usr/bin/zipcmp
BuildRequires:  libzip-tools
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(expat)
BuildRequires:  lame-devel
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  portmidi-devel
# BuildRequires:  pkgconfig(portsmf)
BuildRequires:  pkgconfig(id3tag)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(twolame)
BuildRequires:  pkgconfig(libmatroska)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(flac)
# BuildRequires:  pkgconfig(sbsms)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  ffmpeg-free-devel
BuildRequires:  pkgconfig(vamp-hostsdk)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(suil-0)
BuildRequires:  pkgconfig(glib)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  wxGTK-devel

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  chrpath

%description
Tenacity is an easy-to-use multi-track audio editor and recorder for Windows, macOS, Linux and other operating systems. It is built on top of the widely popular Audacity and is being developed by a wide, diverse group of volunteers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n tenacity
# tar xvf %{SOURCE1} --strip-components=1 -C lib-src/libnyquist

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DNYQUIST=OFF \

%cmake_build

%install
%cmake_install
%find_lang tenacity

rm %{buildroot}%{_datadir}/doc/tenacity/LICENSE.txt
rm -r %{buildroot}%{_prefix}/tenacity
chrpath --delete %{buildroot}%{_libdir}/tenacity/*.so
chrpath --delete %{buildroot}%{_libdir}/tenacity/modules/*.so

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files -f tenacity.lang
%license LICENSE.txt
%doc README.md
%{_bindir}/tenacity
%dir %{_libdir}/tenacity
%dir %{_libdir}/tenacity/modules
%{_libdir}/tenacity/*.so
%{_libdir}/tenacity/modules/*.so
%{_datadir}/applications/tenacity.desktop
%{_datadir}/icons/hicolor/*/tenacity.png
%{_datadir}/icons/hicolor/scalable/apps/tenacity.svg
%{_mandir}/man1/tenacity.1*
%{_datadir}/metainfo/tenacity.metainfo.xml
%{_datadir}/mime/packages/tenacity.xml
%{_datadir}/pixmaps/gnome-mime-application-x-audacity-project.xpm
%{_datadir}/pixmaps/tenacity*.xpm
%{_datadir}/tenacity/EQDefaultCurves.xml

%changelog
%autochangelog
